<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxConnectionHandler (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxConnectionHandler (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectionHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.handler</a></div>
<h2 title="Class mxConnectionHandler" class="title">Class mxConnectionHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">hk.quantr.mxgraph.swing.util.mxMouseAdapter</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.handler.mxConnectionHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.event.MouseListener</code>, <code>java.awt.event.MouseMotionListener</code>, <code>java.util.EventListener</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxConnectionHandler</span>
extends <a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></pre>
<div class="block">Connection handler creates new connections between cells. This control is used to display the connector
 icon, while the preview is used to draw the line.
 
 mxEvent.CONNECT fires between begin- and endUpdate in mouseReleased. The <code>cell</code>
 property contains the inserted edge, the <code>event</code> and <code>target</code> 
 properties contain the respective arguments that were passed to mouseReleased.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#active">active</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bounds">bounds</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.Cursor</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONNECT_CURSOR">CONNECT_CURSOR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected javax.swing.ImageIcon</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#connectIcon">connectIcon</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the icon to be used for creating new connections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#connectPreview">connectPreview</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTarget">createTarget</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the source should be cloned and used as a target if no
 target was selected.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabled">enabled</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#error">error</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#eventSource">eventSource</a></span></code></th>
<td class="colLast">
<div class="block">Holds the event source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Point</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#first">first</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleEnabled">handleEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if a handle should be used for creating new connections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleSize">handleSize</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the size of the handle to be used for creating new
 connections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnTop">keepOnTop</a></span></code></th>
<td class="colLast">
<div class="block">Appearance and event handling order wrt subhandles.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#marker">marker</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resetHandler">resetHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#select">select</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#source">source</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxConnectionHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addGraphListeners(hk.quantr.mxgraph.view.mxGraph)">addGraphListeners</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">
<div class="block">Installs the listeners to update the handles after any changes.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Adds the given event listener.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createConnectPreview()">createConnectPreview</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTargetVertex(java.awt.event.MouseEvent,java.lang.Object)">createTargetVertex</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e,
                  java.lang.Object&nbsp;source)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javax.swing.ImageIcon</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getConnecIcon()">getConnecIcon</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getConnectPreview()">getConnectPreview</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHandleSize()">getHandleSize</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMarker()">getMarker</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isActive()">isActive</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isConnecting()">isConnecting</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the source terminal has been clicked and a new
 connection is currently being previewed.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCreateTarget()">isCreateTarget</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEnabled()">isEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isHandleEnabled()">isHandleEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isHighlighting()">isHighlighting</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if no connectIcon is specified and handleEnabled is false.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isKeepOnTop()">isKeepOnTop</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSelect()">isSelect</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isValidSource(java.lang.Object)">isValidSource</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isValidTarget(java.lang.Object)">isValidTarget</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseMoved(java.awt.event.MouseEvent)">mouseMoved</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeGraphListeners(hk.quantr.mxgraph.view.mxGraph)">removeGraphListeners</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">
<div class="block">Removes all installed listeners.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener for the specified event name.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reset()">reset</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBounds(java.awt.Rectangle)">setBounds</a></span>&#8203;(java.awt.Rectangle&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setConnectIcon(javax.swing.ImageIcon)">setConnectIcon</a></span>&#8203;(javax.swing.ImageIcon&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setConnectPreview(hk.quantr.mxgraph.swing.handler.mxConnectPreview)">setConnectPreview</a></span>&#8203;(<a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCreateTarget(boolean)">setCreateTarget</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEnabled(boolean)">setEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHandleEnabled(boolean)">setHandleEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHandleSize(int)">setHandleSize</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setKeepOnTop(boolean)">setKeepOnTop</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMarker(hk.quantr.mxgraph.swing.handler.mxCellMarker)">setMarker</a></span>&#8203;(<a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSelect(boolean)">setSelect</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#start(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState)">start</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e,
     <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validateConnection(java.lang.Object,java.lang.Object)">validateConnection</a></span>&#8203;(java.lang.Object&nbsp;source,
                  java.lang.Object&nbsp;target)</code></th>
<td class="colLast">
<div class="block">Returns the error message or an empty string if the connection for the
 given source target pair is not valid.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.swing.util.mxMouseAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.swing.util.<a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></h3>
<code><a href="../util/mxMouseAdapter.html#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a>, <a href="../util/mxMouseAdapter.html#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a>, <a href="../util/mxMouseAdapter.html#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="CONNECT_CURSOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECT_CURSOR</h4>
<pre>public static&nbsp;java.awt.Cursor CONNECT_CURSOR</pre>
</li>
</ul>
<a id="graphComponent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphComponent</h4>
<pre>protected&nbsp;<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> graphComponent</pre>
</li>
</ul>
<a id="eventSource">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eventSource</h4>
<pre>protected&nbsp;<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> eventSource</pre>
<div class="block">Holds the event source.</div>
</li>
</ul>
<a id="connectPreview">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectPreview</h4>
<pre>protected&nbsp;<a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a> connectPreview</pre>
</li>
</ul>
<a id="connectIcon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectIcon</h4>
<pre>protected&nbsp;javax.swing.ImageIcon connectIcon</pre>
<div class="block">Specifies the icon to be used for creating new connections. If this is
 specified then it is used instead of the handle. Default is null.</div>
</li>
</ul>
<a id="handleSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleSize</h4>
<pre>protected&nbsp;int handleSize</pre>
<div class="block">Specifies the size of the handle to be used for creating new
 connections. Default is mxConstants.CONNECT_HANDLE_SIZE.</div>
</li>
</ul>
<a id="handleEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleEnabled</h4>
<pre>protected&nbsp;boolean handleEnabled</pre>
<div class="block">Specifies if a handle should be used for creating new connections. This
 is only used if no connectIcon is specified. If this is false, then the
 source cell will be highlighted when the mouse is over the hotspot given
 in the marker. Default is mxConstants.CONNECT_HANDLE_ENABLED.</div>
</li>
</ul>
<a id="select">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>select</h4>
<pre>protected&nbsp;boolean select</pre>
</li>
</ul>
<a id="createTarget">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTarget</h4>
<pre>protected&nbsp;boolean createTarget</pre>
<div class="block">Specifies if the source should be cloned and used as a target if no
 target was selected. Default is false.</div>
</li>
</ul>
<a id="keepOnTop">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnTop</h4>
<pre>protected&nbsp;boolean keepOnTop</pre>
<div class="block">Appearance and event handling order wrt subhandles.</div>
</li>
</ul>
<a id="enabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabled</h4>
<pre>protected&nbsp;boolean enabled</pre>
</li>
</ul>
<a id="first">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>first</h4>
<pre>protected transient&nbsp;java.awt.Point first</pre>
</li>
</ul>
<a id="active">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>protected transient&nbsp;boolean active</pre>
</li>
</ul>
<a id="bounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bounds</h4>
<pre>protected transient&nbsp;java.awt.Rectangle bounds</pre>
</li>
</ul>
<a id="source">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>source</h4>
<pre>protected transient&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> source</pre>
</li>
</ul>
<a id="marker">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>marker</h4>
<pre>protected transient&nbsp;<a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a> marker</pre>
</li>
</ul>
<a id="error">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>error</h4>
<pre>protected transient&nbsp;java.lang.String error</pre>
</li>
</ul>
<a id="resetHandler">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resetHandler</h4>
<pre>protected transient&nbsp;<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> resetHandler</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxConnectionHandler</h4>
<pre>public&nbsp;mxConnectionHandler&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graphComponent</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addGraphListeners(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addGraphListeners</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;addGraphListeners&#8203;(<a href="../../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<div class="block">Installs the listeners to update the handles after any changes.</div>
</li>
</ul>
<a id="removeGraphListeners(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeGraphListeners</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;removeGraphListeners&#8203;(<a href="../../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<div class="block">Removes all installed listeners.</div>
</li>
</ul>
<a id="createConnectPreview()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectPreview</h4>
<pre class="methodSignature">protected&nbsp;<a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a>&nbsp;createConnectPreview()</pre>
</li>
</ul>
<a id="getConnectPreview()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectPreview</h4>
<pre class="methodSignature">public&nbsp;<a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a>&nbsp;getConnectPreview()</pre>
</li>
</ul>
<a id="setConnectPreview(hk.quantr.mxgraph.swing.handler.mxConnectPreview)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectPreview</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setConnectPreview&#8203;(<a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a>&nbsp;value)</pre>
</li>
</ul>
<a id="isConnecting()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnecting</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isConnecting()</pre>
<div class="block">Returns true if the source terminal has been clicked and a new
 connection is currently being previewed.</div>
</li>
</ul>
<a id="isActive()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isActive</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isActive()</pre>
</li>
</ul>
<a id="isHighlighting()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHighlighting</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isHighlighting()</pre>
<div class="block">Returns true if no connectIcon is specified and handleEnabled is false.</div>
</li>
</ul>
<a id="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEnabled()</pre>
</li>
</ul>
<a id="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEnabled&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="isKeepOnTop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isKeepOnTop</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isKeepOnTop()</pre>
</li>
</ul>
<a id="setKeepOnTop(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeepOnTop</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setKeepOnTop&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="setConnectIcon(javax.swing.ImageIcon)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectIcon</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setConnectIcon&#8203;(javax.swing.ImageIcon&nbsp;value)</pre>
</li>
</ul>
<a id="getConnecIcon()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnecIcon</h4>
<pre class="methodSignature">public&nbsp;javax.swing.ImageIcon&nbsp;getConnecIcon()</pre>
</li>
</ul>
<a id="setHandleEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandleEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHandleEnabled&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="isHandleEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHandleEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isHandleEnabled()</pre>
</li>
</ul>
<a id="setHandleSize(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandleSize</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHandleSize&#8203;(int&nbsp;value)</pre>
</li>
</ul>
<a id="getHandleSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandleSize</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getHandleSize()</pre>
</li>
</ul>
<a id="getMarker()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarker</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a>&nbsp;getMarker()</pre>
</li>
</ul>
<a id="setMarker(hk.quantr.mxgraph.swing.handler.mxCellMarker)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMarker</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMarker&#8203;(<a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a>&nbsp;value)</pre>
</li>
</ul>
<a id="setCreateTarget(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreateTarget</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCreateTarget&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="isCreateTarget()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCreateTarget</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isCreateTarget()</pre>
</li>
</ul>
<a id="setSelect(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelect</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSelect&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="isSelect()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSelect</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isSelect()</pre>
</li>
</ul>
<a id="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reset()</pre>
</li>
</ul>
<a id="createTargetVertex(java.awt.event.MouseEvent,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTargetVertex</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;createTargetVertex&#8203;(java.awt.event.MouseEvent&nbsp;e,
                                           java.lang.Object&nbsp;source)</pre>
</li>
</ul>
<a id="isValidSource(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidSource</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isValidSource&#8203;(java.lang.Object&nbsp;cell)</pre>
</li>
</ul>
<a id="isValidTarget(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidTarget</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isValidTarget&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true. The call to mxGraph.isValidTarget is implicit by calling
 mxGraph.getEdgeValidationError in validateConnection. This is an
 additional hook for disabling certain targets in this specific handler.</div>
</li>
</ul>
<a id="validateConnection(java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateConnection</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;validateConnection&#8203;(java.lang.Object&nbsp;source,
                                           java.lang.Object&nbsp;target)</pre>
<div class="block">Returns the error message or an empty string if the connection for the
 given source target pair is not valid. Otherwise it returns null.</div>
</li>
</ul>
<a id="mousePressed(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mousePressed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mousePressed&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxMouseAdapter.html#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></code></dd>
</dl>
</li>
</ul>
<a id="start(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;start&#8203;(java.awt.event.MouseEvent&nbsp;e,
                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="mouseMoved(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseMoved</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseMoved&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseMoved</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxMouseAdapter.html#mouseMoved(java.awt.event.MouseEvent)">mouseMoved</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></code></dd>
</dl>
</li>
</ul>
<a id="mouseDragged(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseDragged</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseDragged&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseDragged</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxMouseAdapter.html#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></code></dd>
</dl>
</li>
</ul>
<a id="mouseReleased(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseReleased</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseReleased&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxMouseAdapter.html#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxMouseAdapter.html" title="class in hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></code></dd>
</dl>
</li>
</ul>
<a id="setBounds(java.awt.Rectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBounds</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBounds&#8203;(java.awt.Rectangle&nbsp;value)</pre>
</li>
</ul>
<a id="addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addListener&#8203;(java.lang.String&nbsp;eventName,
                        <a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Adds the given event listener.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeListener&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Removes the given event listener.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeListener&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
                           java.lang.String&nbsp;eventName)</pre>
<div class="block">Removes the given event listener for the specified event name.</div>
</li>
</ul>
<a id="paint(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paint&#8203;(java.awt.Graphics&nbsp;g)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectionHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
